godo.Nfs.DeleteWithOptions()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Nfs.DeleteWithOptions(ctx context.Context, nfsShareId string, opts *godo.NfsDeleteOptions) (*godo.Response, error)Description
DeleteWithOptions deletes an NFS share. Set DeleteSnapshots to delete active
snapshots with the share; otherwise the API returns 412 when snapshots exist.
This method sends a DELETE request to /v2/nfs/{}.
Parameters
nfsShareIdstring requiredopts*godo.NfsDeleteOptions
Fields of godo.NfsDeleteOptions
NfsDeleteOptions represents the options for deleting an NFS share.
RegionstringRegionis retained for compatibility with the existing NFS API.DeleteSnapshotsboolDeleteSnapshotsdeletes the share's active snapshots along with it.
Returns
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.Response
Response is a DigitalOcean response. This wraps the standard http.Response returned from DigitalOcean.
Response*http.ResponseLinks*godo.LinksLinksthat were returned with the response. These are parsed from
request body and not the header.Meta*godo.MetaMetadescribes generic information about the response.MonitorstringMonitoring URI
Rategodo.Rate
Request Sample
More Information
See DELETE /v2/nfs/{} in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.